// eslint-disable-next-line no-undef
export default defineAppConfig({
  pages: [
    "pages/home/index",
    "pages/login/index",
    "pages/issue/list/index",
    "pages/issue/list2/index",
    "pages/issue/edit/index",
    "pages/org/issue/list/index",
    "pages/org/issue/detail/index",
    "pages/apply/list/index",
    // 'pages/apply/apply/index',
    "pages/apply/verify/index",
    "pages/apply/detail/index",
    "pages/message/list/index",
    // 'pages/checkStand/index',
    "pages/checkStand/list/index",
    "pages/checkStand/detail/index",
    "pages/reset-password/index",
    "pages/check/list/index",
    "pages/check/loc/list/index",
    "pages/check/edit/index",
    "pages/notice/index",
    "pages/notice/detail/index",
    "pages/my/index",
    "pages/my/edit/index",
    "pages/feedback/issue/index",
    "pages/feedback/issuelist/index",
    "pages/user/list/index",
    "pages/user/add/index",
    // "pages/reportList/index",
  ],
  subpackages: [
    {
      root: "subpkg1",
      pages: ["pages/statistics/index"],
    },
  ],
  window: {
    // backgroundColor: '#1A7565',
    backgroundTextStyle: "light",
    navigationBarBackgroundColor: "#1A7565",
    navigationBarTitleText: "文明创城",
    navigationBarTextStyle: "white",
  },
  permission: {
    "scope.userLocation": {
      desc: "你的位置信息将用于定位点位", // 高速公路行驶持续后台定位
    },
  },
  requiredPrivateInfos: ["getLocation"],
  setting: {
    urlCheck: false,
  },
});
