import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaNotice = (params) => request('/api/taNotice', { params });

/*
 * 新增数据
 */
export const postTaNotice = (data) => request('/api/taNotice', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaNoticeById = (id) => request(`/api/taNotice/${id}`);

/*
 * 更新数据
 */
export const putTaNotice = (id, data) => request(`/api/taNotice/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaNotice = (id) => request(`/api/taNotice/${id}`, { method: 'delete' });
